export function commandQueue() {
    const queue = new Array();
    function add(command) {
        queue.push(command);
    }
    function flush() {
        queue.forEach((fun) => fun());
        queue.length = 0;
    }
    return { add, flush };
}
